import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { DevopsNginxConf } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-20 14:34
 */
interface DevopsNginxConfCU extends ConditionUtil<DevopsNginxConfCU>{
    ID:FieldUtil<DevopsNginxConfCU>;
    NAME:FieldUtil<DevopsNginxConfCU>;
    INIT_CONF_FILE:FieldUtil<DevopsNginxConfCU>;
    PROD_CONF_FILE:FieldUtil<DevopsNginxConfCU>;
    REMARK:FieldUtil<DevopsNginxConfCU>;
    CREATE_TIME:FieldUtil<DevopsNginxConfCU>;
    UPDATE_TIME:FieldUtil<DevopsNginxConfCU>;
}

class DevopsNginxConfCUImpl extends ConditionUtilImpl<DevopsNginxConfCUImpl> implements DevopsNginxConfCU{ 
    newInstance(): DevopsNginxConfCUImpl {
        return new DevopsNginxConfCUImpl();
    } 
    get ID(): FieldUtil<DevopsNginxConfCU>{  
        return new FieldUtil('id','id','主键', this);
    }
    get NAME(): FieldUtil<DevopsNginxConfCU>{  
        return new FieldUtil('name','name','模板名称', this);
    }
    get INIT_CONF_FILE(): FieldUtil<DevopsNginxConfCU>{  
        return new FieldUtil('init_conf_file','initConfFile','初始模板文件', this);
    }
    get PROD_CONF_FILE(): FieldUtil<DevopsNginxConfCU>{  
        return new FieldUtil('prod_conf_file','prodConfFile','目标配置文件', this);
    }
    get REMARK(): FieldUtil<DevopsNginxConfCU>{  
        return new FieldUtil('remark','remark','备注', this);
    }
    get CREATE_TIME(): FieldUtil<DevopsNginxConfCU>{  
        return new FieldUtil('create_time','createTime','创建时间', this);
    }
    get UPDATE_TIME(): FieldUtil<DevopsNginxConfCU>{  
        return new FieldUtil('update_time','updateTime','更新时间', this);
    }
}

@Singleton 
class DevopsNginxConfMU extends TableUtilImpl<DevopsNginxConfCU,DevopsNginxConf>{ 
    tableName  = 'devops_nginx_conf';
    tableFields  = ['id','name','init_conf_file','prod_conf_file','remark','create_time','update_time'];
    modelFields  = ['id','name','initConfFile','prodConfFile','remark','createTime','updateTime'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): DevopsNginxConfCU {
        return new DevopsNginxConfCUImpl();
    }   

    static get ID(): FieldUtil<DevopsNginxConfCU>{ 
        return new FieldUtil('id','id','主键', new DevopsNginxConfCUImpl());
    }
    static get NAME(): FieldUtil<DevopsNginxConfCU>{ 
        return new FieldUtil('name','name','模板名称', new DevopsNginxConfCUImpl());
    }
    static get INIT_CONF_FILE(): FieldUtil<DevopsNginxConfCU>{ 
        return new FieldUtil('init_conf_file','initConfFile','初始模板文件', new DevopsNginxConfCUImpl());
    }
    static get PROD_CONF_FILE(): FieldUtil<DevopsNginxConfCU>{ 
        return new FieldUtil('prod_conf_file','prodConfFile','目标配置文件', new DevopsNginxConfCUImpl());
    }
    static get REMARK(): FieldUtil<DevopsNginxConfCU>{ 
        return new FieldUtil('remark','remark','备注', new DevopsNginxConfCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<DevopsNginxConfCU>{ 
        return new FieldUtil('create_time','createTime','创建时间', new DevopsNginxConfCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<DevopsNginxConfCU>{ 
        return new FieldUtil('update_time','updateTime','更新时间', new DevopsNginxConfCUImpl());
    }

    get ID(): FieldUtil<DevopsNginxConfCU>{ 
        return DevopsNginxConfMU.ID;
    }
    get NAME(): FieldUtil<DevopsNginxConfCU>{ 
        return DevopsNginxConfMU.NAME;
    }
    get INIT_CONF_FILE(): FieldUtil<DevopsNginxConfCU>{ 
        return DevopsNginxConfMU.INIT_CONF_FILE;
    }
    get PROD_CONF_FILE(): FieldUtil<DevopsNginxConfCU>{ 
        return DevopsNginxConfMU.PROD_CONF_FILE;
    }
    get REMARK(): FieldUtil<DevopsNginxConfCU>{ 
        return DevopsNginxConfMU.REMARK;
    }
    get CREATE_TIME(): FieldUtil<DevopsNginxConfCU>{ 
        return DevopsNginxConfMU.CREATE_TIME;
    }
    get UPDATE_TIME(): FieldUtil<DevopsNginxConfCU>{ 
        return DevopsNginxConfMU.UPDATE_TIME;
    }
}
export {DevopsNginxConfMU, DevopsNginxConfCU}
